summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-06-16 00:43:04 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-06-16 00:43:04 (EDT)
commit201e8ba1c6abf41a07ef81307f919e3d18cd12d2 (patch)
tree5744b6c8dfe693f099cd814e61011258914d0e61 /tests
parentd36bdb7d8a8aaae67d598d4450629ef0bbf14dae (diff)
tests/lib/ob_iso8601_gmtime.sh: New file
Diffstat (limited to 'tests')
-rwxr-xr-xtests/lib/ob_iso8601_gmtime.sh43
-rw-r--r--tests/local.mk1
2 files changed, 44 insertions, 0 deletions
diff --git a/tests/lib/ob_iso8601_gmtime.sh b/tests/lib/ob_iso8601_gmtime.sh
new file mode 100755
index 0000000..840b378
--- /dev/null
+++ b/tests/lib/ob_iso8601_gmtime.sh
@@ -0,0 +1,43 @@
+# Tests for ob_arch_is_concerned()
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
+
+plan_ 7
+
+tst()
+{
+ local in="${1}"
+ local out="${2}"
+ shift 2
+
+ is "${in} = ${out}" "$(ob_iso8601_gmtime "${in}")" "${out}"
+}
+
+tst 0 '1970-01-01T00:00:00Z'
+tst 1 '1970-01-01T00:00:01Z'
+tst 108123 '1970-01-02T06:02:03Z'
+tst 41877296 '1971-04-30T16:34:56Z'
+tst 762480000 '1994-03-01T00:00:00Z'
+tst 962443230 '2000-07-01T09:20:30Z'
+tst 2147483648 '2038-01-19T03:14:08Z'
diff --git a/tests/local.mk b/tests/local.mk
index fb03756..1e4138c 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -7,6 +7,7 @@ TESTS = \
%reldir%/lib/ob_parse_control.sh \
%reldir%/lib/ob_substvars.sh \
%reldir%/lib/ob_rfc822_mktime.sh \
+ %reldir%/lib/ob_iso8601_gmtime.sh \
%reldir%/exe/opkbuild_version.sh \
%reldir%/exe/ob-buildenv.sh \
%reldir%/exe/ob-unpacksource.sh \